Loading...
Searching...
No Matches
Vector Len
Math Functions

## Functions

ne10_result_t | ne10_len_vec2f_c (ne10_float32_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_len_vec2f_neon (ne10_float32_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) asm("ne10_len_vec2f_neon")
ne10_result_t | ne10_len_vec2f_asm (ne10_float32_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_len_vec3f_c (ne10_float32_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_len_vec3f_neon (ne10_float32_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) asm("ne10_len_vec3f_neon")
ne10_result_t | ne10_len_vec3f_asm (ne10_float32_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_len_vec4f_c (ne10_float32_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_len_vec4f_neon (ne10_float32_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) asm("ne10_len_vec4f_neon")
ne10_result_t | ne10_len_vec4f_asm (ne10_float32_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_len_vec2f )(ne10_float32_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
| Returns length of 2D vectors in corresponding elements of the output array.
ne10_result_t(* | ne10_len_vec3f )(ne10_float32_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
| Returns length of 3D vectors in corresponding elements of the output array.
ne10_result_t(* | ne10_len_vec4f )(ne10_float32_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
| Returns length of 4D vectors in corresponding elements of the output array.

## Detailed Description

  These functions implement vector len operation for float data type.

## Function Documentation

## ne10_len_vec2f_c()

ne10_result_t ne10_len_vec2f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 39 of file NE10_len.c.

## ne10_len_vec3f_c()

ne10_result_t ne10_len_vec3f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 48 of file NE10_len.c.

## ne10_len_vec4f_c()

ne10_result_t ne10_len_vec4f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 58 of file NE10_len.c.

## Variable Documentation

## ne10_len_vec2f

ne10_result_t(* ne10_len_vec2f) (ne10_float32_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Returns length of 2D vectors in corresponding elements of the output array.

This function point could be pointed to one of ne10_len_vec2f_c, ne10_len_vec2f_neon and ne10_len_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 254 of file NE10_init_math.c.

## ne10_len_vec3f

ne10_result_t(* ne10_len_vec3f) (ne10_float32_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Returns length of 3D vectors in corresponding elements of the output array.

This function point could be pointed to one of ne10_len_vec3f_c, ne10_len_vec3f_neon and ne10_len_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 255 of file NE10_init_math.c.

## ne10_len_vec4f

ne10_result_t(* ne10_len_vec4f) (ne10_float32_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Returns length of 4D vectors in corresponding elements of the output array.

This function point could be pointed to one of ne10_len_vec4f_c, ne10_len_vec4f_neon and ne10_len_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 256 of file NE10_init_math.c.